<?php
$bosa_cleaning_service_page_one 	= get_theme_mod( 'bosa_cleaning_service_feedbacks_page_one', '' );
$bosa_cleaning_service_page_two 	= get_theme_mod( 'bosa_cleaning_service_feedbacks_page_two', '' );
$bosa_cleaning_service_page_three	= get_theme_mod( 'bosa_cleaning_service_feedbacks_page_three', '' );

$bosa_cleaning_service_page_array = array();
$bosa_cleaning_service_has_page = false;
if( !empty( $bosa_cleaning_service_page_one ) ){
	$bosa_cleaning_service_has_page = true;
	$bosa_cleaning_service_page_array['page_one'] = array(
		'ID' => $bosa_cleaning_service_page_one,
	);
}
if( !empty( $bosa_cleaning_service_page_two ) ){
	$bosa_cleaning_service_has_page = true;
	$bosa_cleaning_service_page_array['page_two'] = array(
		'ID' => $bosa_cleaning_service_page_two,
	);
}
if( !empty( $bosa_cleaning_service_page_three ) ){
	$bosa_cleaning_service_has_page = true;
	$bosa_cleaning_service_page_array['page_three'] = array(
		'ID' => $bosa_cleaning_service_page_three,
	);
}

if( !get_theme_mod( 'bosa_cleaning_service_disable_feedbacks_section', true ) && $bosa_cleaning_service_has_page ){ ?>
	<section class="section-feedbacks-area">
			<div class="row justify-content-center">
				<?php foreach( $bosa_cleaning_service_page_array as $bosa_cleaning_service_each_page ){ ?>
					<div class="col-sm-6 col-lg-4">
						<article class="feedbacks-item">
							<figure class= "featured-image">
								<?php echo get_the_post_thumbnail( $bosa_cleaning_service_each_page[ 'ID' ], 'bosa-cleaning-service-420-300' ); ?>
							</figure>
							<div class="author-content">
								<h3 class="entry-title">
									<a href="<?php echo esc_url( get_permalink( $bosa_cleaning_service_each_page[ 'ID' ] ) ); ?>">
										<?php echo esc_html( get_the_title( $bosa_cleaning_service_each_page[ 'ID' ] ) ); ?>
									</a>
								</h3>	
								<p class="entry-text">	
									<?php 
									$bosa_cleaning_service_excerpt = get_the_excerpt( $bosa_cleaning_service_each_page[ 'ID' ] );
									$bosa_cleaning_service_result  = wp_trim_words( $bosa_cleaning_service_excerpt, 10, '' );
									echo esc_html( $bosa_cleaning_service_result );
									?>
								</p>
							</div>
						</article>
					</div>
				<?php } ?>
			</div>
	</section>
<?php } 